Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.io
Enum SubstringFilenameFilter.PartOfName

    java.lang.Object
      java.lang.Enum<SubstringFilenameFilter.PartOfName>
          de.jstacs.io.SubstringFilenameFilter.PartOfName

All Implemented Interfaces:
  Serializable, Comparable<SubstringFilenameFilter.PartOfName>

Enclosing class:
  SubstringFilenameFilter

    public static enum SubstringFilenameFilter.PartOfName

extends Enum<SubstringFilenameFilter.PartOfName>

This enum defines the different types a string can be part of a other string.

Author:
  Jens Keilwagen

Enum Constant Summary
`INFIX` The String shall be infix.
`PREFIX` The string shall be prefix.
`SUFFIX` The String shall be suffix.

Method Summary
`static SubstringFilenameFilter.PartOfName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SubstringFilenameFilter.PartOfName[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PREFIX

    public static final SubstringFilenameFilter.PartOfName PREFIX

  The string shall be prefix.

### INFIX

    public static final SubstringFilenameFilter.PartOfName INFIX

  The String shall be infix.

### SUFFIX

    public static final SubstringFilenameFilter.PartOfName SUFFIX

  The String shall be suffix.

Method Detail

### values

    public static final SubstringFilenameFilter.PartOfName[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SubstringFilenameFilter.PartOfName c : SubstringFilenameFilter.PartOfName.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SubstringFilenameFilter.PartOfName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD